checkpoint_dir: ./runs
comment: name
data:
  crop_bbox: true
  image_size:
  - 440
  - 440
  images_dir: null
  name_keys:
  - name
  preprocess_images:
    apply: false
    force_apply: false
    preprocessed_dir: null
  test:
    anno_path: /mnt/space/space-home/wild-me/ms-v2/splits/EDA-turtles-comb/instances_val2023.json
    checkpoint_path: ./runs/ms-v2/11_0-msv2-turtles-combi-lrufu-n-hb/model_best.bin
    eval_groups:
    - species
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /mnt/space/space-home/wild-me/ms-v2/splits/EDA-turtles-comb/instances_train2023.json
    n_filter_min: 3
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /mnt/space/space-home/wild-me/ms-v2/splits/EDA-turtles-comb/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list: null
engine:
  device: cuda
  epochs: 20
  loss_module: arcface
  num_workers: 8
  seed: 42
  train_batch_size: 16
  use_swa: true
  use_wandb: true
  valid_batch_size: 2
exp_name: 11_0-msv2-turtles-combi-lrufu-n-hb
model_params:
  dropout: 0
  fc_dim: 2048
  k: 3
  loss_module: arcface_subcenter_dynamic
  ls_eps: 0
  margin: 0.32841442327915477
  model_name: efficientnetv2_rw_m
  n_classes: 503
  pretrained: true
  s: 49.32675426153405
  theta_zero: 0.785
  use_fc: false
project_name: ms-v2
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.0005
  lr_min: 1.0e-06
  lr_ramp_ep: 15
  lr_start: 1.7189806743319386e-06
  lr_sus_ep: 0
swa_params:
  swa_lr: 0.03524907749683658
  swa_start: 24
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
